Folge 14 – UserForm mit Code nutzbar machen

In diesem Video mache ich an der Stelle weiter, wo ich in Folge 13 aufgehört habe.
Ich werde also das UserForm mit Code versehen, damit die Felder funktionieren und die Buttons eine Funktion auslösen.

Und an dieser Stelle der Code der im Makro vorhanden ist.

{MainForm}

Option Explicit
Dim swApp As SldWorks.SldWorks
Dim swModel As ModelDoc2
Private Sub btnABBRECHEN_Click()
    End
End Sub
Private Sub btnSPEICHERN_Click()
    If ckbPDF.Value = True Then
        mod_pdf.speichern
    End If
    If ckbDXF.Value = True Then
        mod_dxf.speichern
    End If
    If ckbSTEP.Value = True Then
        mod_step.speichern
    End If
    End
End Sub
Private Sub UserForm_Initialize()
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    If swModel Is Nothing Then
        swApp.SendMsgToUser "Keine Dokument geladen."
        End
    End If
    Dim FullName As String
    FullName = swModel.GetPathName
    If FullName = "" Then
        swApp.SendMsgToUser "Die Datei wurde noch nie gespeichert." & vbCrLf & "Makrolauf wird abgebrochen."
        End
    End If
    Dim Dateiname As String
    Dim temp As Variant
    temp = Split(FullName, "\")
    Dateiname = temp(UBound(temp))
    Dateiname = Left(Dateiname, Len(Dateiname) - 7)
    Debug.Print Dateiname
    tbxDATEINAME.Text = Dateiname
End Sub
Code-Sprache: VB.NET (vbnet)

{mod_step}

Option Explicit
Sub speichern()
    Debug.Print "STEP speichern"
End Sub
Code-Sprache: VB.NET (vbnet)

{mod_pdf}

Option Explicit
Sub speichern()
    Debug.Print "PDF speichern"
End Sub
Code-Sprache: VB.NET (vbnet)

{mod_dxf}

Option Explicit
Sub speichern()
    Debug.Print "DXF speichern"
End Sub
Code-Sprache: VB.NET (vbnet)

Kommentare 2

  • Guten Morgen,

    ich habe den Code kopiert und in ein leeres Makro eingefügt.
    Das Makro startet bei mir nicht ?
    Danke.
    Gruß
    A. Gotthardt
    SWX 2019 SP5

    • Guten Morgen,
      das ist aus der Ferne nicht so einfach zu beantworten.
      Haben Sie ein neues UserForm angelegt und so eingerichtet, wie ich es in dem Video gezeigt habe?
      Gerade die Namen sind dabei sehr wichtig und müssen auch genauso benannt werden.
      Wäre es möglich, dass Sie mir Screenshots zusenden? E-Mail: solidworks@berndhornemann.de
      Gruß
      Bernd Hornemann

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert